Subject: Re: [v6ops] draft-ietf-v6ops-dhcpv6-slaac-problem WGLC

From: "Liubing (Leo)" <[email-masked]>
Date: Tue, 4 Nov 2014 03:38:32 +0000

Hi Andrew,

> >> Would be still interesting to hear your opinion about rfc6106.
> > [Bing] This is indeed an issue. There were some people also raised
> > this problem before. We've captured the problem in the Guidance draft
> > (see
> > https://tools.ietf.org/html/draft-liu-v6ops-dhcpv6-slaac-guidance-03#s
> > ection-2.2.3,
> > the last bullet).
> 
> ok, thanks for the link! on that one, might be useful to add an explicit
> reference to RFC6106 as a normative reference.

[Bing] Ok, thanks for reminding.

> > For the PS draft, it is mostly regarding to the interaction between
> > two protocols (DHCPv6/SLAAC). Although the two protocols both have the
> > DNS option, they are separate in protocol level. So we only include
> > this issue in the Guidance draft.
> > That's my consideration, but I'd like to hear yours.
> 
> The draft highlights the less common scenarios with various values of flags in
> the RA and their transitions - and the behavior of hosts during these
> scenarios.
> 
> To me, the RFC6106/DHCPv6 interaction would fall into the same bucket,
> from the practical administration perspective.
> 
> The questions that pop up are like: What do the hosts do if RDNSS is within
> the RA but the "O" flag is set ? Do the hosts keep their DNS information if we
> switch the stateless DHCPv6 off,  use only the RDNSS ? If I want to
> maximize the chances of devices working, do I use RDNSS, or stateless
> DHCPv6, or both ? The mention in SLAAC guidance document just says that
> the host would get confused if different information gets sent, is that the
> only scenario ? (I did not test extensively myself, so asking if you have more
> info).
> 
> There is draft-gont-6man-slaac-dns-config-issues that talks about the RDNSS
> specific issues, and I do not know whether RDNSS+DHCPv6 interaction has
> just not been tested or does not have any issues.
> 
> Now, of course it is a lot of additional testing work, so adding anything like
> that into the document would be contingent on more participants of WG
> saying it is a useful idea vs. shipping the document as is.

[Bing] Thanks for explaining the RDNSS/DHCPv6 cases. That makes me realize there might be implicit interaction between the two protocols on DNS configuration. Personally, I think it's interesting and worth more testing. 
For adding these stuff into the document, I think it might depend on what would be found in testing and I also would like to hear more opinions from the WG in the meeting.

Best regards,
Bing

> --a
> > Best regards,
> > Bing
> >> --a
> >> >   Brian